
From: Bjorn Helgaas <bjorn.helgaas@hp.com>

Acked by Jesse.

sn_console: don't print anything unless we're actually on an SGI box.

Signed-off-by: Bjorn Helgaas <bjorn.helgaas@hp.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/serial/sn_console.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/serial/sn_console.c~silence-sn_console-driver-on-non-sgi-boxes drivers/serial/sn_console.c
--- 25/drivers/serial/sn_console.c~silence-sn_console-driver-on-non-sgi-boxes	Wed Sep  1 15:14:18 2004
+++ 25-akpm/drivers/serial/sn_console.c	Wed Sep  1 15:14:18 2004
@@ -920,11 +920,11 @@ sn_sal_module_init(void)
 {
 	int retval;
 
-	printk(KERN_INFO "sn_console: Console driver init\n");
-
 	if (!ia64_platform_is("sn2"))
 		return -ENODEV;
 
+	printk(KERN_INFO "sn_console: Console driver init\n");
+
 	if (USE_DYNAMIC_MINOR == 1) {
 		misc.minor = MISC_DYNAMIC_MINOR;
 		misc.name = DEVICE_NAME_DYNAMIC;
_
